Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Controllers/UserController.cs
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Controllers/UserController.cs	(revision 13739)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Controllers/UserController.cs	(revision 13740)
@@ -1,3 +1,5 @@
-﻿using HeuristicLab.Clients.Hive.WebJobManager.Services;
+﻿using HeuristicLab.Clients.Access.Administration;
+using HeuristicLab.Clients.Hive.WebJobManager.Services;
+using HeuristicLab.Clients.Hive.WebJobManager.ViewModels.User;
 using Microsoft.AspNet.Hosting;
 using Microsoft.AspNet.Http;
@@ -11,10 +13,9 @@
 namespace HeuristicLab.Clients.Hive.WebJobManager.Controllers
 {
-    public class UserController: Controller
+    public class UserController : Controller
     {
         private WebLoginService weblog;
         private HiveServiceLocatorWeb serviceLocator;
-        private HiveServiceClient serviceClient;
-        private HiveClientWeb clientWeb;
+        private AccessAdministrationClient accessClient;
         private Guid userId;
 
@@ -24,4 +25,9 @@
         {
             weblog = WebLoginService.Instance;
+            _environment = env;
+        }
+        #region Users
+        private void init()
+        {
             var u = HttpContext.Session.GetString("UserId");
             if (u == null || u == "" || Guid.Parse(u) == Guid.Empty)
@@ -29,24 +35,23 @@
                 userId = Guid.Empty;
                 serviceLocator = new HiveServiceLocatorWeb();
-                serviceClient = serviceLocator.getHiveServiceClient();
-                clientWeb = new HiveClientWeb(serviceLocator, userId);
             }
-            else {
+            else
+            {
                 userId = Guid.Parse(u);
-
                 serviceLocator = weblog.getServiceLocator(userId);
-                serviceClient = serviceLocator.getHiveServiceClient();
-                clientWeb = weblog.getClientWeb(userId);
+                accessClient = weblog.getAccessAdminClient(userId);
             }
-
-            _environment = env;
         }
         public IActionResult Index()
         {
+            init();
             if (serviceLocator.CheckLogin())
             {
-                
-                ViewBag.Title = "User management";
-                return View("Index");
+
+                ViewBag.Title = "Users";
+                // accessClient.RefreshUsers();
+                UserViewModel vm = new UserViewModel();
+                vm.users = new List<string>() { "Jean" };
+                return View("Index", vm);
             }
             else
@@ -55,4 +60,68 @@
             }
         }
+        public IActionResult SelectUser(string id)
+        {
+            init();
+            if (serviceLocator.CheckLogin())
+            {
+                Guid curr = Guid.Parse(id);
+                UserViewModel vm = new UserViewModel();
+                vm.users = new List<string>() { "Jean" };
+                if (curr == Guid.Empty)
+                {
+                    vm.SelectedUser = "";
+                    ViewBag.Title = "Add User";
+                }
+                else
+                {
+                    vm.SelectedUser = "Jean";
+                    ViewBag.Title = "Jean";
+                }
+                ViewBag.Title += " - Users";
+                return View("Index", vm);
+            }
+            else
+            {
+                return RedirectToAction("Index", "Home");
+            }
+        }
+        #endregion
+
+        #region Groups
+        public IActionResult Groups()
+        {
+            init();
+            if (serviceLocator.CheckLogin())
+            {
+
+                ViewBag.Title = "Groups";
+                // accessClient.RefreshUsers();
+                
+                return View("Groups");
+            }
+            else
+            {
+                return RedirectToAction("Index", "Home");
+            }
+        }
+        #endregion
+        #region Roles
+        public IActionResult Roles()
+        {
+            init();
+            if (serviceLocator.CheckLogin())
+            {
+
+                ViewBag.Title = "Roles";
+                // accessClient.RefreshUsers();
+
+                return View("Roles");
+            }
+            else
+            {
+                return RedirectToAction("Index", "Home");
+            }
+        }
+        #endregion
     }
 }
